# MessageFormatter::getErrorCode

# msgfmt_get_error_code

(PHP 5 >= 5.3.0, PHP 7, PECL intl >= 1.0.0)

MessageFormatter::getErrorCode -- msgfmt_get_error_code — Get the error code from last operation

### Description

Object oriented style

public MessageFormatter::getErrorCode ( void ) : int

Procedural style

msgfmt_get_error_code ( MessageFormatter `$fmt` ) : int

Get the error code from last operation.

### Parameters

`fmt`

  The message formatter

### Return Values

The error code, one of UErrorCode values. Initial value is U_ZERO_ERROR.

### See Also

- msgfmt_get_error_message() - Get the error text from the last operation
- intl_get_error_code() - Get the last error code
- intl_is_failure() - Check whether the given error code indicates failure